=== debian/changelog ===
nethack (3.4.3-14) unstable; urgency=low

  * Team upload.

  [ Bernhard R. Link ]
  * switch to "3.0 (quilt)"
  * bump Standards-Version
  * modernize debian/rules:
  - use dpkg-buildflags
  - support build-arch/-indep
  - make parallel safe
  - don't avoid make errors
  * add patch so it can compile with -Werror=format-security
  * drop no longer needed patches (-qt and -gnome are gone)
  * don't use /dev/null as install template (Closes: 644647)
  * drop nethack-common menu (both -console and -x11 have one)

  [ Vincent Cheng ]
  * Adopt package. (Closes: #673584)
    - Change Maintainer to Debian Games Team.
    - Add myself to Uploaders.
  * Modify 0006-Common-config.h-for-all-binary-packages.patch to enable
    AUTOPICKUP_EXCEPTIONS. (Closes: #329318)
  * Modify 0011-Pasi-Kallinen-s-patch-to-add-colors-to-inventory-ite.patch
    and 0017-Debian-and-Linux-specifics-defined-in-unixconf.h.patch; add
    0021-fix-kfreebsd-ftbfs.patch to fix FTBFS on kfreebsd.
  * Convert debian/copyright to DEP-5 machine-readable format.
  * Use dh_lintian to install overrides instead of manually installing them
    in debian/rules.
  * Add watch file.
  * Add Homepage field in debian/control.
  * Add Vcs-* fields in debian/control.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 11 Jun 2012 00:47:38 -0700

nethack (3.4.3-13) unstable; urgency=low

  * QA upload, orphan package.
  * Drop nethack-qt. (Closes: #604363)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 20 May 2012 00:40:52 +0200

nethack (3.4.3-12.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #626534
    - Dutch; (Jeroen Schot).  Closes: #643307
    - Polish (Michał Kułach).  Closes: #657504

 -- Christian Perrier <bubulle@debian.org>  Thu, 02 Feb 2012 07:46:14 +0100

nethack (3.4.3-12.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/96_binutils-gold.dpatch:
    - Fix FTBFS with binutils-gold (Closes: #555769).

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 26 Aug 2011 21:15:02 +0200

nethack (3.4.3-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules:
    - Compile with __CORRECT_ISO_CPP_STRINGS_H_PROTO set to fix FTBFS
      (Closes: #551334, #560531).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 12 May 2010 09:30:03 +0200

nethack (3.4.3-12) unstable; urgency=low

  * Fix error with update-rc.d (for some reason I didn't see this, probably
    due to using insserv based init.) Add a '.' to the end. closes: #548425

 -- Joshua Kwan <joshk@triplehelix.org>  Sat, 26 Sep 2009 11:20:04 -0700

nethack (3.4.3-11) unstable; urgency=low

  * Thanks for the NMUs, guys. There are so many bugs fixed as a result
    of NMU I won't mention them here, but thanks to Christian Perrier for
    managing everything. Certain things were fixed in 3.4.3-10.7 and have also
    been marked as fixed prior to this upload.
  * Apply translation updates:
    - Vietnamese, thanks Clytie Siddall; closes: #548012
    - Czech, thanks Jan Outrata; closes: #546453
  * Update the nethack-lisp patch to the latest version. closes: #517437
    (The new version is dated 2005-02-27.)
  * Fix yet another incorrect path in the manpage. Thanks Iain. closes: #504925
  * Disable nethack-common.init from 'stopping' when entering shutdown
    runlevels. closes: #547471
  * Change the default for making 'recover' setgid games to true. Thanks Iain.
    closes: #504923, #405465
  * Apply patch to give nethack-x11 and nethack-qt .desktop files. Thanks Iain.
    closes: #504924
  * Install dat/hh at /usr/lib/games/nethack/hh. I know this is a minor FHS
    sin, but it is better than not having it at all right now. (Technically,
    nhdat is a text file too!) closes: #425073
  * Only install recover with gid games (since it may become setuid.) The
    rest are installed with the root gid.
  * Bump Standards-Version to 3.8.3.0.
  * Clear out some outdated Lintian overrides.
  * Make /var/games/nethack hierarchy setgid games (instead of merely owned
    and writable by gid games.)

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 24 Sep 2009 14:21:19 -0700

nethack (3.4.3-10.7) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Drop code dealing with upgrades from pre-3.4.0 version
  * Bump debhelper compatibility level to 7
  * Replace "dh_clean -k" by dh_prep
  * Add ${misc:Depends} to all binary packages' dependencies as
    the package is built with debhelper that might trigger extra
    dependencies
  * nethack-x11: drop dependency on obsolete xbase-clients
  * drop build dependency on obsolete xutils
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #519512
  * [Debconf translation updates]
    - Italian. Closes: #522148
    - French. Closes: #522210
    - Spanish. Closes: #522259
    - Japanese. Closes: #522385
    - Basque. Closes: #522391
    - German. Closes: #522960
    - Swedish. Closes: #522975
    - Italian. Closes: #523417
    - Russian. Closes: #524070
    - Portuguese (Carlos Lisboa).  Closes: #524284
    - Finnish (Esko Arajärvi).  Closes: #532496
    - Galician (marce villarino).  Closes: #524265
    - Traditional Chinese (Kanru Chen).  Closes: #545485

 -- Christian Perrier <bubulle@debian.org>  Sat, 12 Sep 2009 14:08:01 +0200

nethack (3.4.3-10.6) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Spanish. Closes: #498436
    - Traditional Chinese. Closes: #503174
    - Italian. Closes: #503761

 -- Christian Perrier <bubulle@debian.org>  Tue, 28 Oct 2008 22:53:25 +0100

nethack (3.4.3-10.5) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Brazilian Portuguese. Closes: #434312
    - Finnish. Closes: #472628
    - Basque. Closes: #481695
    - Russian. Closes: #481813

