=== debian/control ===
Source: nethack
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Cheng <Vincentc1208@gmail.com>
Build-Depends:
 bison,
 bsdmainutils,
 debhelper (>= 7),
 flex,
 groff-base,
 libncurses5-dev | libncurses-dev,
 libx11-dev,
 libxaw7-dev | libxaw-dev,
 libxext-dev,
 libxmu-dev,
 libxt-dev,
 po-debconf,
 xfonts-utils
Standards-Version: 3.9.3
Homepage: http://www.nethack.org
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/nethack/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/nethack/

Package: nethack-common
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: nethack-console | nethack-x11
Description: dungeon crawl game - common files
 NetHack is a wonderfully silly, yet quite addictive, Dungeons &
 Dragons-style adventure game. You play a character from one of many
 classes (such as wizard, ranger, or tourist), fighting your way down to
 retrieve the Amulet of Yendor (try saying THAT one backwards!) for your
 god. On the way, you might encounter a quantum mechanic or two, or
 perhaps King Arthur, or - if you're REALLY lucky - the Ravenous
 Bugblatter Beast of Traal.
 .
 You should install a front-end for NetHack if you
 wish to play the game.  Each of them includes the
 original non-graphical version, and they can all be installed
 at the same time:
  - nethack-console: no graphics, just plain NetHack;
  - nethack-x11    : original X11/Athena-based graphical version;
  - nethack-lisp   : Lisp window version.
 .
 The various graphical front-ends for NetHack all share a large
 number of files in common.  This package contains the graphics,
 dungeon levels, and utilities common to all NetHack front-ends.
 .
 It also provides a few utilities such as recover, for retrieving
 auto-save files in case of a power failure, and dgn_comp and
 lev_comp, two utilities for making your own NetHack levels and
 dungeons. The "recover" utility will be run every time the system
 boots, if there are any auto-save files available.

Package: nethack-console
Depends:
 nethack-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Architecture: any
Provides: nethack
Description: dungeon crawl game - text-based interface
 NetHack is a wonderfully silly, yet quite addictive, Dungeons &
 Dragons-style adventure game. You play a character from one of many
 classes (such as wizard, ranger, or tourist), fighting your way down to
 retrieve the Amulet of Yendor (try saying THAT one backwards!) for your
 god. On the way, you might encounter a quantum mechanic or two, or
 perhaps King Arthur, or - if you're REALLY lucky - the Ravenous
 Bugblatter Beast of Traal.
 .
 You should install a front-end for NetHack if you
 wish to play the game.  Each of them includes the
 original non-graphical version, and they can all be installed
 at the same time:
  - nethack-console: no graphics, just plain NetHack;
  - nethack-x11    : original X11/Athena-based graphical version;
  - nethack-lisp   : Lisp window version.
 .
 This package provides the plain console version of NetHack.

Package: nethack-lisp
Depends:
 nethack-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: nethack-el
Architecture: any
Provides: nethack
Description: dungeon crawl game - Lisp interface
 NetHack is a wonderfully silly, yet quite addictive, Dungeons &
 Dragons-style adventure game. You play a character from one of many
 classes (such as wizard, ranger, or tourist), fighting your way down to
 retrieve the Amulet of Yendor (try saying THAT one backwards!) for your
 god. On the way, you might encounter a quantum mechanic or two, or
 perhaps King Arthur, or - if you're REALLY lucky - the Ravenous
 Bugblatter Beast of Traal.
 .
 You should install a front-end for NetHack if you
 wish to play the game.  Each of them includes the
 original non-graphical version, and they can all be installed
 at the same time:
  - nethack-console: no graphics, just plain NetHack;
  - nethack-x11    : original X11/Athena-based graphical version;
  - nethack-lisp   : Lisp window version.
 .
 This package provides the version required for playing NetHack via
 Lisp, for instance under Emacs (which requires nethack-el).

Package: nethack-x11
Depends:
 nethack-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Architecture: any
Provides: nethack
Description: dungeon crawl game - X11 interface
 NetHack is a wonderfully silly, yet quite addictive, Dungeons &
 Dragons-style adventure game. You play a character from one of many
 classes (such as wizard, ranger, or tourist), fighting your way down to
 retrieve the Amulet of Yendor (try saying THAT one backwards!) for your
 god. On the way, you might encounter a quantum mechanic or two, or
 perhaps King Arthur, or - if you're REALLY lucky - the Ravenous
 Bugblatter Beast of Traal.
 .
 You should install a front-end for NetHack if you
 wish to play the game.  Each of them includes the
 original non-graphical version, and they can all be installed
 at the same time:
  - nethack-console: no graphics, just plain NetHack;
  - nethack-x11    : original X11/Athena-based graphical version;
  - nethack-lisp   : Lisp window version.
 .
 This package provides the text and X11/Athena-based graphical versions
 of NetHack.
