=== debian/watch ===
version=3
opts=dversionmangle=s/\.//g \
http://sf.net/nethack/nethack-(\d+)-src\.tgz
